Sulkeet, lupaavia verkkokehityksen IDE

Ui ohitse Google Plus Löysin tämän sovelluksen nimeltä Sulkeet, joka kuvaa sitä virallisella verkkosivustolla avoimen lähdekoodin muokkausohjelmana (MIT-lisenssi) web-suunnitteluun ja verkkoteknologioiden, kuten HTML, CSS ja JavaScript, kehittämiseen.

Rakennuksen on luonut ja ylläpitää rakas ystävä Adobe. Se on tällä hetkellä kokeellisessa versiossa. Erottuvien ominaisuuksien joukossa Sulkeet muun toimittajan joukossa, kuten Sublime Teksti o Sininen kala mainita esimerkkejä ovat:

Nopea CSS- ja JavaScript-muokkaus

HTML-asiakirjaa muokatessamme voimme käyttää pikakuvaketta CTRL + E päästäksesi muokkaamasi omaisuuden CSS: ään ja muokata sitä haluamallasi tavalla.

nopea muokkaus

näyttö selaimen CSS-tiedostojen muutoksista

Tämä ominaisuus on merkittävin ja pidin eniten. Voimme nähdä muutokset, jotka teemme CSS: ssä automaattisesti selaimessa, kun muokkaamme sitä, ei mitään päivittää sitä koko ajan for.

Tällä hetkellä vain tukee kromi y Kromi. Jätän sinulle virallisen kanavan englanninkielisen videon, jossa on lisätietoja ja joka näyttää suoran katselun ominaisuuden (min 2:18):

Sulujen asentaminen Ubuntu 13.04: een ja johdannaisiin

Voit ladata .deb-sivun täällä Asennukseen voimme käyttää GDebiä, QAPT: ta tai terminaalissa.

32 bittiä varten:

dpkg -i brackets-sprint-28-LINUX32.deb

64 bittiä varten:

dpkg -i brackets-sprint-28-LINUX64.deb

Kun asennin sen, ensimmäinen asia, joka minulle tapahtui, oli se, että se ei ollut käynnissä, tämä virhe ilmestyi suoritettaessa sitä päätelaitteella:

libudev.so.0: cannot open shared object file: No such file or directory

Googlen ja se ratkaisee kirjoittamalla terminaaliin:

sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

ja asia ratkesi 😀.

Toinen "virhe" on, että suluissa ei avattu Chromiumia HTML-tiedoston näyttämistä varten (Google Chromen ei pitäisi antaa tätä virhettä). Löysin tavan korjata tämä virallisella sivulla usein kysyttyjen kysymysten osiossa samanlainen komento (luodaan symbolinen linkki):

sudo ln -s /usr/bin/chromium-browser /usr/bin/google-chrome

Nyt jos kaiken pitäisi toimia 100%. Kippis !!.


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

31 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista. Pakolliset kentät on merkitty *

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   vilkas dijo

    Mielenkiintoista. Juuri nyt lasken sitä.

    Se, että se käyttää Chrome / Chromiumia ja että se päivittyy myös automaattisesti, kun muokkaamme CSS: ää, saa minut ajattelemaan Stylusta, joka toimii myös Node.js: n kanssa, joka käyttää Chromen V8-moottoria.

    Epäilemättä erinomainen työkalu. Kerron sinulle, kun yritän sitä.

    1.    nano dijo

      Anna minun tarkistaa se, minulla on useita hankkeita käynnissä ja voin testata sitä erilaisissa olosuhteissa ...

    2.    frk7z dijo

      No, elav, voit tehdä samoin Sublimen kanssa käyttämällä LiveReload-laajennusta, joka on myös emmetin Styluksen, Jaden ja kahvin kanssa, jolloin konsoli voi itse kääntyä joka kerta, kun tallennat .styl- tai .jade-tiedoston. , ah ja «nib» -kynämoduulin kanssa se on paljon parempi mockup.

      Tutustu tietysti emmetin LiveStyleen (livestyle.emmet.io), tietenkin, jos et ole vielä nähnyt sitä, saatat pitää siitä. Kippis

  2.   Fernando dijo

    Siellä on myös Bluegriffon, ilmainen web-editori Linuxille ja Windowsille, se tukee kaikkea muuta ja muuta

    1.    vilkas dijo

      Onko Bluegriffonilla todella kaikki nämä ominaisuudet? Muistan kerran kokeillessani sitä, sateenvarjoni juuttui, kun jouduin maksamaan lisäosasta tai vastaavasta.

  3.   Alberto dijo

    Parempi käyttää Bluefishiä ... se voidaan ohjelmoida melkein mille tahansa kielelle, yhdellä täydellä integraatiolla ...

    Bluefish on monialainen POSIX HTML -editoriohjelmisto, jolla on GPL-lisenssi, mikä tekee siitä ilmaisen ohjelmiston.

    Bluefish on suunnattu kokeneille web-suunnittelijoille ja ohjelmoijille, ja se keskittyy dynaamiseen ja interaktiiviseen sivun muokkaukseen. Se pystyy tunnistamaan useita ohjelmointi- ja merkintäkieliä.

    Bluefish toimii monilla POSIX (Portable Operating System Interface) -yhteensopivilla käyttöjärjestelmillä, kuten Linux, FreeBSD, MacOS-X, OpenBSD, Solaris ja Tru64.

    Se käyttää pääasiassa GTK- ja C-posix-kirjastoja. Viimeisin versio, joka toimi GTK 1.0: n tai 1.2: n kanssa, on 0.7. Nykyinen versio vaatii vähintään GTK-version 2.0 (tai uudemman), libpcre 3.0 (tai uudemman), libaspell 0.50: n tai uudemman (valinnainen) oikeinkirjoituksen tarkistamiseksi ja gnome-vfs (valinnainen) etätiedostoille.

    On tärkeää huomata, että ohjelma ei ole virallisesti osa Gnome-projektia, mutta sitä käytetään usein sellaisessa ympäristössä.

    Käyttäjät voivat myös käyttää online-resursseja, kuten FTP-palvelimia tai WebDAV-hakemistoja, avoimesti tiedostojärjestelmän abstraktikerroksen Gnome VFS: n kautta.

    Neil Millar ehdotti sinisen kalan (sinisen kalan) nimen ja logon, joka ehdotti sitä työryhmälle ja kiehtoi heidät välittömästi. Sinikala on eläin (kala), joka liikkuu lukuisissa kouluissa ja lähellä rantaa. On ilmeistä, että hänen nimensä vaatii integrointia ja jakamista, ihanteita vapaissa ohjelmistoissa.

    Bluefishillä on ominaisuuksia, kuten nopeus, kyky avata useita tiedostoja samanaikaisesti, moniprojektituki, etätiedostotuki gnome-vfs: n kautta, mukautettava syntaksimerkintä Perlin kanssa yhteensopivien säännöllisten lausekkeiden perusteella, tuki alakuvioille ja ennalta määritetyille malleille (HTML, PHP, Javascript, JSP, SQL, XML, Python, Perl, CSS, ColdFusion, Pascal, R, Octave / Matlab), HTML-tunnisteiden valintaikkunat, ohjatut toiminnot asiakirjojen luomista varten, taulukoiden, kehysten (kehysten) luominen, useiden koodauksien tuki , työskentele eri merkistöjen kanssa, rivien numerointi, avattavat valikot, konfiguroitavat työkalurivit, valintaikkuna kuvien lisäämiseksi, toimintoviitehaku, mukautettava integrointi erilaisten ohjelmien kanssa (make, javac jne.), syntaksikorostus (C, Java, JavaScript, Python , Perl, ColdFusion, Pascal, R ja Octave), täydelliset käännökset noin XNUMX kielelle keskenään os: Brasilianportugali, bulgaria, kiina, tanska, suomi, ranska, saksa, unkari, italia, norja, puola, portugali, espanja, ruotsi, japani ja tamili.

    Wikipedia ...

    1.    vilkas dijo

      Olen kokeillut BlueFishia. On totta, että se on erittäin hyvä, mutta en tiedä, jotain puuttuu. Tällä hetkellä testaan ​​sitä Archissa ja KDE: n kanssa vieritys ei toimi minulle, minun on tartuttava palkin vierityspainikkeeseen, jotta voin mennä alas. Se on parantanut paljon koodin automaattisessa täydennyksessä, mutta kuten sanoin alun perin, siitä puuttuu jotain.

      1.    eliotime3000 dijo

        Esimerkiksi verkkosivujen katseluohjelma.

    2.    nano dijo

      Se on mukavaa, kyllä, mutta totuus on, että pysyn toimittajissa yhteisön takana, Bluefishillä voi olla sen kehittäjät ja koko tarina, mutta mikä saa minut käyttämään esimerkiksi Sublimeä, on yksinkertainen tosiasia, että sillä on valtava määrä laajennuksia ja resursseja, se on luettelomerkki ja sen oletustyökalut jättävät sinut tainnutetuksi.

      Muuttaako se ylevää? Voi kyllä, vain VIM xD: lle

      1.    Raurodse dijo

        Mutta onko tämä ylevä Linuxille?

        1.    vilkas dijo

          Asà es.

  4.   Anibal dijo

    Olen kubuntusta 13.04, se antaa minulle libudev-virheen, tein symlinkin ja se pysyy samana 🙁

    Korjaa se (ainakin minun on 64-bittinen) tämä on oikea rivi:

    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    1.    William Limones Wells dijo

      Erinomainen havainto, kiitos 😀

  5.   equiman dijo

    En tiedä, en ole kovin vakuuttunut ... mutta en silti tiedä.

    Ajatus siitä, että Adoben on oltava vapaa tästä ohjelmasta, on ilmainen ja avoin tulevaisuudelle ikuisesti ... tai kuten muutkin Adoben tekniikat, jotta se olisi ilmainen, jotta voimme testata sitä ilmaiseksi ja milloin he haluavat viedä sen ammattimaisella tasolla he luopuvat ilmaisesta osasta?

  6.   nano dijo

    Bracketsistä jätän sinulle erittäin mielenkiintoisen vertailun Sublimeen, jonka on tehnyt erittäin taitava käyttöliittymäkehittäjä.

    Joka tapauksessa kannattaa lukea: Sulkeet vs. ylevä teksti

    Nauti 😉

  7.   gabriel dijo

    jos joku tietää c ++: sta, mikä auttaa, koska kiitos yhteisölle tämä Linuxille.

  8.   vilkas dijo

    Debian Wheezyssä sitä ei voida käyttää, koska se tarvitsee korkeamman version GLIBC: stä kuin sinulla.

  9.   Juanra dijo

    Ooh, Linuxille on jo kauan sitten (muutama kuukausi sitten) versio, että tajusin tämän IDE: n olemassaolon, Linuxille ei ollut versiota ja minulla oli halu käyttää sitä, mutta nyt kun on olemassa versio Linuxille, ja elavin mukaan ei Se toimii Wheezyllä ja se on distro, joka minulla on 🙁 haha, niin onnekas, mutta en yritä sitä yhtenä päivänä, koska jos sillä on hyvät ominaisuudet

  10.   Bruno cascio dijo

    Olen ollut verkkokehityksessä 3 vuotta ja kokemukseni ovat:

    1. ylevä teksti
    2. NetBeans
    3. pimennys

    Muut ovat puhtaita ...

    Käytän yleensä Sublimeä, koska sillä on valtava määrä laajennuksia (yksi niistä TWIG, jota käytän paljon). Jos etsimäsi on automaattinen täydennys, ei ole mitään muuta kuin Eclipse tai netbeans.

    Tervehdys!

  11.   xrz-30 dijo

    Minun tapauksessani virhe oli:
    usr / lib / brackets / Brackets: virhe ladattaessa jaettuja kirjastoja: libudev.so. 0: ei voi avata jaettua objektitiedostoa: Ei tällaista tiedostoa tai hakemistoa

    Ja ratkaisin sen valitsemalla arkkitehtuurini vastaavan hakemiston (myös Anibal kommentoi sitä) niille, jotka asentavat 64-bittisen version, heidän tulisi valita hakemisto x86_64-linux-gnu i386-linux-gnu: n sijaan seuraavasti: :

    32 bittiä varten:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    64 bittiä varten:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    Luo vain symbolinen linkki libudev.so.1 samaan hakemistoon nimellä libudev.so.0

  12.   xrz-30 dijo

    En tiennyt, että Linux-versio oli poissa, muutama kuukausi sitten kokeilin sitä viinillä, mutta se ei ollut miellyttävä kokemus. Avaa tämä kiittääksesi yhteisöä, joka antoi tukensa version luomiselle rakkaalle tuxillemme

    Kuten kommentoit, sitä ei voida suorittaa minun tapauksessani virheilmoitus oli:
    usr / lib / brackets / Brackets: virhe ladattaessa jaettuja kirjastoja: libudev.so. 0: ei voi avata jaettua objektitiedostoa: Ei tällaista tiedostoa tai hakemistoa

    Ja ratkaisin sen valitsemalla arkkitehtuurini vastaavan hakemiston (myös Anibal kommentoi sitä) niille, jotka asentavat 64-bittisen version, heidän tulisi valita hakemisto x86_64-linux-gnu i386-linux-gnu: n sijaan seuraavasti: :

    32 bittiä varten:
    sudo ln -sf /lib/i386-linux-gnu/libudev.so.1 /lib/i386-linux-gnu/libudev.so.0

    64 bittiä varten:
    sudo ln -sf /lib/x86_64-linux-gnu/libudev.so.1 /lib/x86_64-linux-gnu/libudev.so.0

    Luo vain symbolinen linkki libudev.so.1 samaan hakemistoon nimellä libudev.so.0

  13.   Raul dijo

    Minulla on pieni ongelma suluissa. Siinä sanotaan, että minun pitäisi ottaa käyttöön etävirheenkorjaus Chromessa ja mitä seuraa kysymys "Haluatko käynnistää Chromen uudelleen ja ottaa käyttöön etäviankorjauksen?" ja [Käynnistä Chrome uudelleen] -painike. Mutta annan sen, eikä se tee ollenkaan mitään, eikä se käynnisty uudelleen eikä mahdollista.

    1.    Raul dijo

      Unohdin, minulla on Ubuntu 13.04 64bits. ja suluissa versio on 29

      1.    irvandoval dijo

        Sulje Chrome ja anna sulkujen käyttää sitä 🙂, ainakin tällä tavalla, jos se toimi minulle
        tervehdykset !!

        1.    Raul dijo

          Kyllä, olen jo tehnyt sen niin, mutta ei mitään. : S

  14.   Tyrannisoida dijo

    Hei, kiitos neuvostasi. Minulla on sama ongelma, mutta se korjaus, jonka sanot, ei toimi minulle Debian Wheezyssä, voisitko auttaa minua siinä, kiitos

  15.   vidagnu dijo

    Erinomainen IDE, Slackware-käyttäjille jätän asennuksen vaiheet:

    http://vidagnu.blogspot.com/2014/02/como-instalar-brackets-en-slacwkare.html

  16.   Sergio Antonio Trujillo dijo

    Kiitos panoksesta, jonka asensin sen manjaroon, eikä se toiminut selaimessa, mutta symbolisen linkin ansiosta pystyin korjaamaan sen.

  17.   metallipääb93 dijo

    ratkaisusi ei toimi
    ohjelma ei vieläkään käynnisty

  18.   Carlos dijo

    Hei! En voi asentaa kannattimia Huayra Linuxiin, miten teen sen? Se voi?

  19.   canorioss dijo

    Latasin sen viralliselta verkkosivustolta ja asensin sen tämän sivuston meille antamilla ohjeilla, virhe ilmeni ja niiden antama ratkaisu ei toiminut minulle.

    Tapa, jolla pystyin asentamaan ja käyttämään sitä oikein ja ongelmitta, oli lisätä arkisto konsolilla ja asentaa se samalla tavalla.

    sudo add-apt-repository ppa: webupd8team / suluissa
    sudo apt-get update
    sudo apt-get install -sulkeet

    Minulla on Kubuntu 15.04 KDE 5 -plasman kanssa 😉